'''Frontend gui to entertainer'''

def main(*args, **kwargs):
    '''Frontend runner'''

    # Import statements are inside thu function so that they aren't imported
    # every time something from the frontend is imported
    from entertainerlib.frontend.translation_setup import TranslationSetup
    TranslationSetup()

    from entertainerlib.backend.backend_server import BackendServer
    from entertainerlib.utils.configuration import Configuration
    from entertainerlib.frontend.frontend_client import FrontendClient
    from entertainerlib.utils.system_tray_icon import init_systray

    config = Configuration()
    if config.start_auto_server():
        print "Entertainer backend starting..."
        backend = BackendServer()

    if config.tray_icon_enabled():
        init_systray()
    else:
        FrontendClient()


