"Tests ConnectionServer"
# pylint: disable-msg=W0403

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

import socket

from helpers import TestCommon

from entertainerlib.backend.core.connection_server import ConnectionServer
from entertainerlib.backend.core.message_bus import MessageBus

class ConnectionServerTest(TestCommon):
    '''Test for entertainerlib.backend.core.connection_server'''

    def setUp(self):
        '''see unittest.TestCase'''
        TestCommon.setUp(self)

        self.message_bus = MessageBus(self.test_dir)
        port = 45054 # Default port
        self.connection = ConnectionServer(port, self.message_bus,
            self.test_dir)

    def tearDown(self):
        '''see unittest.TestCase'''
        TestCommon.tearDown(self)

    def testPortBinding(self):
        '''Test that binding to a used port fails gracefully'''
        port = 45055 # This test assumes that this port is open
        self.server_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        self.server_socket.bind(('localhost', port))

        #ConnectionServer uses a sys exit command, check for exception
        self.assertRaises(SystemExit, ConnectionServer, port, self.message_bus)

