'''ImageThumbnailer test'''
# pylint: disable-msg=W0403

import os

from helpers import TestCommon

from entertainerlib.utils.image_thumbnailer import (
    ImageThumbnailer, ImageThumbnailerException)

THIS_DIR = os.path.dirname(__file__)

class ImageThumbnailerTest(TestCommon):
    '''Test ImageThumbnailer'''

    def setUp(self):
        """See unittest.TestCase"""
        TestCommon.setUp(self)
        self.debug = False
        self.filename = (
            THIS_DIR + '/data/ImageThumbnailer/test.jpg')

    def tearDown(self):
        """Clean up after the test"""
        TestCommon.tearDown(self)

    def testThumbnailer(self):
        '''Tests the creation a file'''
        thumbnailer = ImageThumbnailer(self.filename, test_dir=self.test_dir)
        thumbnailer.create_thumbnail()
        if self.debug:
            print 'Expecting thumbnail : %s' % thumbnailer._thumb_file
        self.assertTrue(os.path.exists(thumbnailer._thumb_file))
