"""Tests Screen"""
# pylint: disable-msg=W0403

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

import clutter

from helpers import TestCommon

from entertainerlib.frontend.gui.screens.screen import Screen
from entertainerlib.frontend.gui.widgets.base import Base

class ScreenTest(TestCommon):
    """Test for entertainerlib.frontend.gui.screens.screen"""

    def setUp(self):
        """Set up the test"""
        TestCommon.setUp(self)

        self.screen = Screen(test_dir=self.test_dir)

    def tearDown(self):
        """Clean up after the test"""
        TestCommon.tearDown(self)

    def testCreate(self):
        """Test correct Screen initialization"""
        self.assertTrue(isinstance(self.screen, (Base, clutter.Group)))

    def testSize(self):
        """Test that screen got set to the correct size"""
        self.assertEqual(self.screen.get_size(), (1366, 768))

