"""Tests ScrollArea"""
# pylint: disable-msg=W0403

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

import clutter

from helpers import TestCommon

from entertainerlib.frontend.gui.widgets.base import Base
from entertainerlib.frontend.gui.widgets.label import Label
from entertainerlib.frontend.gui.widgets.scroll_area import ScrollArea

class ScrollAreaTest(TestCommon):
    """Test for entertainerlib.frontend.gui.widgets.scroll_area"""

    def setUp(self):
        """Set up the test"""
        TestCommon.setUp(self)

        # Get a workable amount of text
        text = "Here is the start. "
        for i in range(0, 100):
            text += "Here is another sentence. "

        self.label = Label(0.1, "screentitle", 0.1, 0.2, text,
            test_dir=self.test_dir)
        self.scroll_area = ScrollArea(0.5, 0.6, 0.1, 0.1, self.label,
            test_dir=self.test_dir)

    def tearDown(self):
        """Clean up after the test"""
        TestCommon.tearDown(self)

    def testCreate(self):
        """Test correct ScrollArea initialization"""
        self.assertTrue(isinstance(self.label, (Base, clutter.Label)))

    def testSetStepSize(self):
        """Test correct step size setting"""
        self.scroll_area.set_step_size(.05)
        self.assertEqual(self.scroll_area.step_size, 38)

