"""Tests Theme"""
# pylint: disable-msg=W0403

__license__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

import clutter

from helpers import TestCommon

from entertainerlib.utils.configuration import Configuration
from entertainerlib.utils.theme import Theme

class ThemeTest(TestCommon):
    """Test for entertainerlib.utils.theme"""

    def setUp(self):
        """Set up the test"""
        TestCommon.setUp(self)

        self.config = Configuration(self.test_dir)
        self.theme = Theme(self.config.get_theme_path())

    def tearDown(self):
        """Clean up after the test"""
        TestCommon.tearDown(self)

    def testCreate(self):
        """Test correct Theme initialization"""
        self.assertTrue(isinstance(self.theme, Theme))

