#!/usr/bin/env python
'''Entertainer test runner'''

import os
import sys
import unittest

import gettext

TOP_LEVEL_DIR = os.path.abspath('.')
gettext.install('entertainer',
    TOP_LEVEL_DIR + 'translations/usr/share/locale')
IGNORE_FILES = []

suite = unittest.TestSuite()
debug = False

try:
    descriptions = sys.argv[1]
    verbosity = sys.argv[1]
except IndexError:
    descriptions = 0
    verbosity = 0

try:
    if sys.argv[2] == '1':
        debug = True
except IndexError:
    pass

for file in os.listdir(TOP_LEVEL_DIR + '/entertainerlib/tests/'):
    if file in IGNORE_FILES:
        continue
    if file[-8:] != '_test.py':
        continue
    import_name = 'entertainerlib.tests.' + file[:-3]
    if debug:
        print 'Found test : %s' % import_name
    suite.addTest(unittest.defaultTestLoader.loadTestsFromName(import_name))

test_runner = unittest.TextTestRunner(descriptions=descriptions,
    verbosity=verbosity)
result = test_runner.run(suite)
if result.failures or result.errors:
    sys.exit(1)
